# 80. Lekérdezés: Eredeti adatok lekérése

Lekérdezés a feltöltött eredeti adatok másolatának lekérésére: "SoilDataset", "YieldDataset", "AsAppliedDataset".

{% hint style="danger" %}
Ajánlott egyszerre csak egy adatkészlet lekérése  `originDataUrl` kérésenként.&#x20;
{% endhint %}

`GEOTIFF` és `GEOJSON` elérhetőként `formátumok`. De **csak** `GEOJSON` most támogatott.

{% hint style="danger" %}
`originDataUrl` a hivatkozás csak elérhető **60 mp-ig.**
{% endhint %}

### 1. Példa SoilDataset-hez

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 2. Példa YieldDataset-hez

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 3. Példa AsAppliedDataset-hez

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 4. A generált fájl letöltése

A fájl sikeres előkészítése után letölthető a következővel: `curl` vagy hasonló módszerrel.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<originDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/80.-lekerdezes-eredeti-adatok-lekerese.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
